complexType "FxFlexibleForward"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 18 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, buyerPartyReference?, sellerPartyReference?, putCurrency?, callCurrency?, notionalAmount?, minimumExecutionAmount?, executionPeriodDates?, (earliestExecutionTime?, latestExecutionTime?)?, settlementDateOffset?, finalSettlementDate?, forwardRate?, additionalPayment?
</...>

Content Model Elements (18):

  additionalPayment (in fxFlexibleForward), buyerPartyReference, callCurrency, earliestExecutionTime, embeddedOptionType, executionPeriodDates, finalSettlementDate, forwardRate, latestExecutionTime, | minimumExecutionAmount, notionalAmount (in fxFlexibleForward), primaryAssetClass (defined in Product.model group), productId, productType (defined in Product.model group), putCurrency, secondaryAssetClass, sellerPartyReference, settlementDateOffset

All Direct / Indirect Based Elements (1):

  fxFlexibleForward

Known Usage Locations

- As direct type of elements (1):
  fxFlexibleForward

Annotation
Product model for a flexible-term fx forward (also known as callable forward, window forward). This is a term forward transaction over a specific period, allowing the client full flexibility on the timing of the transactional flow(s). The product allows for (full or partial) execution at a predetermined forward rate, at any time between the start date and the expiry date. Although, the product is an outright, it has some option-like characteristics, leading to the use of option components in the model: (i) the BuyerSeller model expresses the roles of the parties in the overall transaction - the client "buys" the product (ii) the PutCallCurrency model expresses the buyer's perspective on the exchanged currencies i.e. the client may buy (call) or sell (put) the notional currency for the alternative currency.
Type Definition Detail

Type Derivation Tree Product (extension) FxFlexibleForward

XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="FxFlexibleForward"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:group ref="PutCallCurrency.model"/> <xsd:sequence> <xsd:element minOccurs="0" name="notionalAmount" type="PositiveMoney"/> <xsd:element minOccurs="0" name="minimumExecutionAmount" type="PositiveMoney"/> </xsd:sequence> <xsd:element minOccurs="0" name="executionPeriodDates" type="FxFlexibleForwardExecutionPeriod"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="earliestExecutionTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="latestExecutionTime" type="BusinessCenterTime"/> </xsd:sequence> <xsd:element minOccurs="0" name="settlementDateOffset" type="RelativeDateOffset"/> <xsd:element minOccurs="0" name="finalSettlementDate" type="xsd:date"/> <xsd:element minOccurs="0" name="forwardRate" type="FxFlexibleForwardRate"/> <xsd:element minOccurs="0" name="additionalPayment" type="Payment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/18)
additionalPayment

  Type: | Payment, complex content

  Fee paid by the client at inception (analagous to an option premium).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="additionalPayment" type="Payment"/>

earliestExecutionTime

  Type: | BusinessCenterTime, complex content

  The earliest time of day at the specified business center, at which the client may execute a transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="earliestExecutionTime" type="BusinessCenterTime"/>

executionPeriodDates

  Type: | FxFlexibleForwardExecutionPeriod, complex content

  The period during which the client has the right to execute a transaction, on any business day defined by reference to the specified business centers, subject to the constraints of the minimum execution amount and aggregate total notional amount. * Period dates are inclusive i.e. the expiry date is the final date on which execution may occur.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionPeriodDates" type="FxFlexibleForwardExecutionPeriod"/>

finalSettlementDate

  Type: | xsd:date, predefined, simple content

  The final date for settlement. This is the date on which any residual exchange amount will be delivered. * This is an adjusted date i.e. a good business day for delivery in the location(s) specified in executionPeriodDates /businessCenters
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="finalSettlementDate" type="xsd:date"/>

forwardRate

  Type: | FxFlexibleForwardRate, complex content

  Definition of the forward exchange rate for transactions executed during the execution period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="forwardRate" type="FxFlexibleForwardRate"/>

latestExecutionTime

  Type: | BusinessCenterTime, complex content

  The latest time of day at the specified business center, at which the client may execute a transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="latestExecutionTime" type="BusinessCenterTime"/>

minimumExecutionAmount

  Type: | PositiveMoney, complex content

  The minimum notional amount which must be executed in any single transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="minimumExecutionAmount" type="PositiveMoney"/>

notionalAmount

  Type: | PositiveMoney, complex content

  The aggregate notional amount which will be exchanged, possibly as multiple partial executions, during the course of the execution period. Any residual notional which remains unexchanged at the expiry date will automatically be executed at the applicable exchange rate (strike).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="PositiveMoney"/>

settlementDateOffset

  Type: | RelativeDateOffset, complex content

  The date on which delivery of the transacted currency amounts will occur, expressed as an offset from the execution date. * This property is optional in the schema, allowing it to be omitted by systems which do not support it; however this information would be expected in contractual documentation (e.g. termsheet, confirmation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementDateOffset" type="RelativeDateOffset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.